clear all
global Qx
sigma=5.676e-8;
x0=0;
xf=0.2;
T0=290;
TB=1273;
delta=0.0001;
Qx0=-100000;
err=1;
derr=1;
while(abs(err/derr)>1e-3)
   Qx=Qx0;
   [x,T]=ode45('p305af',[x0 xf],T0);
   n=length(T);
   err=Qx-sigma*(T(n)^4-TB^4);
   Qx=Qx0*(1+delta);
   [x,T]=ode45('p305af',[x0 xf],T0);
   n=length(T);
   err1=Qx-sigma*(T(n)^4-TB^4);
   derr=(err1-err)/(delta*Qx0);
   Qx0=Qx0-err/derr;
end
plot(x,T)
xlabel('Position from Cooled Slab Surfaces [m]')
ylabel('Temperature [k]')
