clear all
global DAB k
DAB=1.2e-9;
k=0.001;
z0=0;
L=0.001;
zf=L;
CA0=0.2;
y0=-130;
delta=0.0001;
err=1;
derr=1;
while(abs(err/derr)>1e-3)
[z,C]=ode45('p306af',[z0 zf],[CA0 y0]);
n=length(z);
err=C(n,2);
y0=y0*(1+delta);
[z,C]=ode45('p306af',[z0 zf],[CA0 y0]);
n=length(z);
err1=C(n,2);
y0=y0*(1-delta);
derr=(err1-err)/(delta*y0);
y0=y0-err/derr;
end
CAanal=0.2*cosh(L*sqrt(k/DAB)*(1-z/L))/cosh(L*sqrt(k/DAB));
plot(z,C(:,1),'o',z,CAanal)