clear all
global Qx
sigma=5.676e-8;
x0=0;
xf=0.2;
T0=290;
TB=1273;
QxP=-100000;
QxN=-150000;
for iter=1:3
   Qx=QxP;
   [x,T]=ode45('p305af',[x0 xf],T0);
   n=length(T);
   errP=Qx-sigma*(T(n)^4-TB^4);
   Qx=QxN;
   [x,T]=ode45('p305af',[x0 xf],T0);
   n=length(T);
   errN=Qx-sigma*(T(n)^4-TB^4);
   QxNew=QxN-(QxN-QxP)*(errN)/(errN-errP);
   Qx=QxNew;
   [x,T]=ode45('p305af',[x0 xf],T0);
   n=length(T);
   errNew=Qx-sigma*(T(n)^4-TB^4);
   if(errP*errNew>0)
      QxP=QxNew;
   else
      QxN=QxNew;
   end
end
