clear all;
global KC1 KC2 KC3 CA0 CB0
KC1=1.06;
KC2=2.63;
KC3=5;
CA0=1.5;
CB0=1.5;
CD0=1;
CX0=1;
CZ0=1;
C=[CD0; CX0; CZ0];
rerr=1;
while(rerr>1.e-10)
   F=feval('p307f2',C);
   J=Jac('p307f2',C);
   err=J\F;
   C=C-err;
   rerr=max(abs(err./C));
end
CD=C(1);
CX=C(2);
CZ=C(3);
CY=CX+CZ;
CC=CD-CY;
CA=CA0-CD-CZ;
CB=CB0-CD-CY;
disp('      CA        CB        CC         CD       CX        CY       CZ');
disp([CA CB CC CD CX CY CZ]);
